| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Namespaces | Functions
QxHashValue.h File Reference
QxCommon : QxOrm library common tools and macros

Specialize hash_value function for some Qt and boost types (used for example by qx::QxCollection<Key, Value> container) More...

`#include <QtCore/qstring.h>`
`#include <QtCore/qdatetime.h>`
`#include <QtCore/qvariant.h>`
`#include <QtCore/qpair.h>`

Go to the source code of this file.

## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | boost
namespace | boost::tuples
## Functions
std::size_t | hash_value (const QString &s)
std::size_t | hash_value (const QDate &d)
std::size_t | hash_value (const QTime &t)
std::size_t | hash_value (const QDateTime &dt)
std::size_t | hash_value (const QVariant &v)
uint | qHash (const QDate &d)
uint | qHash (const QTime &t)
uint | qHash (const QDateTime &dt)
uint | qHash (const QVariant &v)
uint | qHash (const std::string &s)
uint | qHash (const std::wstring &s)
template<class T >
void | qx::hash_combine (std::size_t &seed, const T &t)
template<typename T0 , typename T1 >
std::size_t | hash_value (const QPair< T0, T1 > &p)
template<typename T0 , typename T1 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
uint | qHash (const boost::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
uint | qHash (const boost::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
uint | qHash (const boost::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
uint | qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
std::size_t | hash_value (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
std::size_t | hash_value (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
uint | qHash (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
uint | qHash (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
uint | qHash (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
uint | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)

## Detailed Description

Specialize hash_value function for some Qt and boost types (used for example by qx::QxCollection<Key, Value> container)

Author:
  Lionel Marty

Definition in file QxHashValue.h.

## Function Documentation

std::size_t hash_value | ( | const QString & | s | ) | `[inline]`

Definition at line 51 of file QxHashValue.h.

std::size_t hash_value | ( | const QDate & | d | ) | `[inline]`

Definition at line 52 of file QxHashValue.h.

std::size_t hash_value | ( | const QTime & | t | ) | `[inline]`

Definition at line 53 of file QxHashValue.h.

std::size_t hash_value | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 54 of file QxHashValue.h.

std::size_t hash_value | ( | const QVariant & | v | ) | `[inline]`

Definition at line 55 of file QxHashValue.h.

template<typename T0 , typename T1 >

std::size_t hash_value | ( | const QPair< T0, T1 > & | p | ) | `[inline]`

Definition at line 77 of file QxHashValue.h.

template<typename T0 , typename T1 >

std::size_t hash_value | ( | const std::tuple< T0, T1 > & | tu | ) | `[inline]`

Definition at line 249 of file QxHashValue.h.

template<typename T0 , class T1 , typename T2 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2 > & | tu | ) | `[inline]`

Definition at line 258 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3 > & | tu | ) | `[inline]`

Definition at line 268 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4 > & | tu | ) | `[inline]`

Definition at line 279 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5 > & | tu | ) | `[inline]`

Definition at line 291 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | tu | ) | `[inline]`

Definition at line 304 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | tu | ) | `[inline]`

Definition at line 318 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | tu | ) | `[inline]`

Definition at line 333 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

std::size_t hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | tu | ) | `[inline]`

Definition at line 349 of file QxHashValue.h.

uint qHash | ( | const QDate & | d | ) | `[inline]`

Definition at line 57 of file QxHashValue.h.

uint qHash | ( | const QTime & | t | ) | `[inline]`

Definition at line 58 of file QxHashValue.h.

uint qHash | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 59 of file QxHashValue.h.

uint qHash | ( | const QVariant & | v | ) | `[inline]`

Definition at line 60 of file QxHashValue.h.

uint qHash | ( | const std::string & | s | ) | `[inline]`

Definition at line 63 of file QxHashValue.h.

uint qHash | ( | const std::wstring & | s | ) | `[inline]`

Definition at line 64 of file QxHashValue.h.

template<typename T0 , typename T1 >

uint qHash | ( | const boost::tuple< T0, T1 > & | tu | ) | `[inline]`

Definition at line 211 of file QxHashValue.h.

template<typename T0 , class T1 , typename T2 >

uint qHash | ( | const boost::tuple< T0, T1, T2 > & | tu | ) | `[inline]`

Definition at line 215 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3 > & | tu | ) | `[inline]`

Definition at line 219 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4 > & | tu | ) | `[inline]`

Definition at line 223 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4, T5 > & | tu | ) | `[inline]`

Definition at line 227 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > & | tu | ) | `[inline]`

Definition at line 231 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | tu | ) | `[inline]`

Definition at line 235 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | tu | ) | `[inline]`

Definition at line 239 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

uint qHash | ( | const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | tu | ) | `[inline]`

Definition at line 243 of file QxHashValue.h.

template<typename T0 , typename T1 >

uint qHash | ( | const std::tuple< T0, T1 > & | tu | ) | `[inline]`

Definition at line 366 of file QxHashValue.h.

template<typename T0 , class T1 , typename T2 >

uint qHash | ( | const std::tuple< T0, T1, T2 > & | tu | ) | `[inline]`

Definition at line 370 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3 > & | tu | ) | `[inline]`

Definition at line 374 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4 > & | tu | ) | `[inline]`

Definition at line 378 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5 > & | tu | ) | `[inline]`

Definition at line 382 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | tu | ) | `[inline]`

Definition at line 386 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | tu | ) | `[inline]`

Definition at line 390 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | tu | ) | `[inline]`

Definition at line 394 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

uint qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | tu | ) | `[inline]`

Definition at line 398 of file QxHashValue.h.